list llms
curl --request GET \
--url https://api.anam.ai/v1/llms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/llms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/llms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a7cf662c-2ace-4de1-a21e-ef0fbf144bb7",
"displayName": "GPT-4o",
"description": "OpenAI GPT-4o default configuration.",
"llmFormat": "openai",
"urls": [
{
"url": "https://api.openai.com/v1/chat/completions"
}
],
"modelName": "gpt-4o",
"temperature": 0.7,
"maxTokens": 1024,
"deploymentName": null,
"apiVersion": null,
"metadata": {},
"displayTags": [
"openai"
],
"isDefault": true,
"isGlobal": true,
"isZdr": false,
"createdByOrganizationId": null,
"createdAt": "2026-04-20T10:00:00.000Z",
"updatedAt": null
}
],
"meta": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"perPage": 10,
"prev": null,
"next": null
}
}list llms
Returns a list of all LLMs available to the organization
GET
/
v1
/
llms
list llms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Number of items per page
Search term to filter LLMs
Include default LLMs in the response
Last modified on July 10, 2026
Was this page helpful?
⌘I

